%define	pkgname	rspec_junit_formatter
Summary:	RSpec JUnit XML formatter
Name:		ruby-%{pkgname}
Version:	0.4.1
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	d73b8e71c3081da34e7bcc4b3252bdda
URL:		http://github.com/sj26/rspec_junit_formatter
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Requires:	ruby-builder
Requires:	ruby-rspec >= 2.0
Requires:	ruby-rspec-core > 2.12.0
Requires:	ruby-rubygems >= 1.3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RSpec results that Hudson/Jenkins can read.

%prep
%setup -q -n %{pkgname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{_bindir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{ruby_vendorlibdir}/rspec_junit_formatter.rb
%{ruby_vendorlibdir}/rspec_junit_formatter
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rspec_junit_formatter.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 4b21564
- release 2 (by relup.sh)

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> f856827
- up to 0.4.1

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 74276b0
- ruby 2.0 rebuld
- release 3 (by relup.sh)

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> b21a16b
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 6787bc2
- license is MIT

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> 63e7958
- jenkins is hudson

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> c08f043
- new, version 0.1.6

